site_name: Timeline0
site_description: The birthplace of Smartups
site_url: https://timeline0.org

extra_css:
  - stylesheets/extra.css

extra_javascript:
  - javascripts/extra.js

theme:
  name: material
  custom_dir: overrides
  features:
    - navigation.instant
    - navigation.sections
    - navigation.expand
    - content.hero
    - toggle
    - toc.follow
    - content.tooltips
  logo: assets/flavicon.png
  favicon: assets/flavicon.png
  palette:
    - scheme: default
      primary: amber
      accent: lime
      toggle:
        icon: material/brightness-4
        name: Switch to dark mode
    - scheme: slate
      primary: amber
      accent: lime
      toggle:
        icon: material/brightness-7
        name: Switch to light mode
  font:
    text: 'Source Sans Pro, Arial, sans-serif'
    code: 'Fira Mono, monospace'

watch:
  - includes

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.highlight
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - abbr
  - attr_list
  - md_in_html
  - footnotes
  - def_list
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.inlinehilite
  - pymdownx.snippets:
      base_path: .
      auto_append:
        - includes/glossary.md
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.blocks.caption
  - meta
  - toc:
      permalink: true
       

nav:
  - Home: index.md
  - The Observation: 0_timeline/the-observation.md
  - The Hypothesis: 0_timeline/the-smartup-hypothesis.md
  - The Experiment:
      - Overview: 0_timeline/the-experiment.md
      - A new social subsystem: 0_timeline/social-subsystem.md
      - A new technical subsyem: 0_timeline/technical-subsystem.md
      - A new external subsystem: 0_timeline/external-subsystem.md
  - Project History: 0_timeline/history.md
  - Terminology: 0_timeline/terminology.md
  - '---': divider1  # This creates a visual separator in the navigation
  - FOR VALIDATION:'The Official SMARTUP ZERO Business Plan - We are building ONLIFE':
    - '0. One Pager': smartup-zero/one-pager.md
    - '1. Executive Summary': smartup-zero/executive-summary.md
    - '2. Design blueprint': smartup-zero/design-blueprint.md
    - '3. Development blueprint': smartup-zero/development-blueprint.md
    - '4. Business blueprint': smartup-zero/business-blueprint.md
    - '5. Media blueprint': smartup-zero/media-blueprint.md
    - '6. Science blueprint': smartup-zero/science-blueprint.md
    - '7. Operational blueprint': smartup-zero/operational-blueprint.md
  - '---': divider2 
  - Contributing:
    - 'Style Guide': style-guide.md
plugins:
  - search
  - awesome-pages
  - git-revision-date
  - glightbox

